Package org.flowable.bpmn.model

# Class TimerEventDefinition

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.EventDefinition
org.flowable.bpmn.model.TimerEventDefinition

All Implemented Interfaces:
  `HasExtensionAttributes`

public class TimerEventDefinition extends EventDefinition

Author:
  Tijs Rademakers

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `calendarName`
  `protected String`
  `endDate`
  `protected String`
  `timeCycle`
  `protected String`
  `timeDate`
  `protected String`
  `timeDuration`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimerEventDefinition()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TimerEventDefinition`
  `clone()`
  `String`
  `getCalendarName()`
  `String`
  `getEndDate()`
  `String`
  `getTimeCycle()`
  `String`
  `getTimeDate()`
  `String`
  `getTimeDuration()`
  `void`
  `setCalendarName(String calendarName)`
  `void`
  `setEndDate(String endDate)`
  `void`
  `setTimeCycle(String timeCycle)`
  `void`
  `setTimeDate(String timeDate)`
  `void`
  `setTimeDuration(String timeDuration)`
  `void`
  `setValues(TimerEventDefinition otherDefinition)`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### timeDate

    protected String timeDate

  - ### timeDuration

    protected String timeDuration

  - ### timeCycle

    protected String timeCycle

  - ### endDate

    protected String endDate

  - ### calendarName

    protected String calendarName

- ## Constructor Details

  - ### TimerEventDefinition

    public TimerEventDefinition()

- ## Method Details

  - ### getTimeDate

    public String getTimeDate()

  - ### setTimeDate

    public void setTimeDate(String timeDate)

  - ### getTimeDuration

    public String getTimeDuration()

  - ### setTimeDuration

    public void setTimeDuration(String timeDuration)

  - ### getTimeCycle

    public String getTimeCycle()

  - ### setTimeCycle

    public void setTimeCycle(String timeCycle)

  - ### setEndDate

    public void setEndDate(String endDate)

  - ### getEndDate

    public String getEndDate()

  - ### getCalendarName

    public String getCalendarName()

  - ### setCalendarName

    public void setCalendarName(String calendarName)

  - ### clone

    public TimerEventDefinition clone()
    Specified by:
      `clone` in class `EventDefinition`

  - ### setValues

    public void setValues(TimerEventDefinition otherDefinition)